=== debian/changelog ===
libjdic-java (0.9.5-7) unstable; urgency=low

  * Update patches/Tray.diff, add support for Renesas SH(sh4), thanks
    to Nobuhiro Iwamatsu <iwamatsu@nigauri.org> (Closes: #568965)
  * Switch to source format 3.0

 -- Varun Hiremath <varun@debian.org>  Thu, 11 Feb 2010 15:49:53 -0500

libjdic-java (0.9.5-6) unstable; urgency=low

  * debian/rules: Set GECKO_SDK to version 1.9.1 (Closes: #551219)
  * debian/control: Bump Standards-Version to 3.8.3
  * Add debian/README.source to describe patch system

 -- Varun Hiremath <varun@debian.org>  Mon, 19 Oct 2009 01:53:19 -0400

libjdic-java (0.9.5-5) unstable; urgency=low

  * Move all Build-Depends-Indep to Build-Depends
  * Set JAVA_HOME in debian/rules

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Aug 2009 03:40:10 -0400

libjdic-java (0.9.5-4) unstable; urgency=low

  * Add patches/Tray.diff to:
    - Add support for more architectures
    - Fix libawt.so load path
  * debian/control: set Architecture to any for libjdic-bin, attempt
    to build on all archs

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Aug 2009 02:00:40 -0400

libjdic-java (0.9.5-3) unstable; urgency=low

  * Switch to OpenJDK.
  * Move package to main.
  * Reformat debian/copyright for better readability.

 -- Torsten Werner <twerner@debian.org>  Wed, 30 Jul 2008 23:44:27 +0200

libjdic-java (0.9.5-2) unstable; urgency=low

  * Enable -fPIC, to fix build on amd64

 -- Varun Hiremath <varun@debian.org>  Fri, 11 Jul 2008 18:16:47 +0530

libjdic-java (0.9.5-1) unstable; urgency=low

  * New upstream release
  * Build-Depends: Replace libxul-dev with xulrunner-dev, and
    sun-java5-jdk with sun-java6-jdk (Closes: 489498)
  * Builds fine now (Closes: 478943, 490064)
  * Bump Standards-Version to 3.8.0
  * Update all the patches
  * Add new load_native_library.diff to fix some bugs in upstream code,
    fix native library load path and also make jdic Tray work with both
    java 1.5 and 1.6
  * Update README.Debian-source file
  * Update watch, orig-tar.sh and orig.exclude files

 -- Varun Hiremath <varun@debian.org>  Thu, 10 Jul 2008 04:04:50 +0530

libjdic-java (0.0.20060613-8) unstable; urgency=low

  * libjdic-bin: install JNI libraries into /usr/lib/jni
  * debian/control:
    + Update Standards-Version to 3.7.3
    + Fix Vcs-{Svn, Browser} headers
    + Change Architecture: i386 amd64 for libjdic-bin
  * Remove execute permissions from examples

 -- Varun Hiremath <varun@debian.org>  Mon, 17 Dec 2007 02:47:10 +0530

libjdic-java (0.0.20060613-7) unstable; urgency=low

  * Set JAVA_HOME only for build-indep.

 -- Varun Hiremath <varunhiremath@gmail.com>  Thu, 29 Nov 2007 18:48:08 +0530

libjdic-java (0.0.20060613-6) unstable; urgency=low

  * debian/rules:
    + Don't use ant.mk
    + Separate out build-indep and build-arch for libjdic-java and
    libjdic-bin packages.
    + Do not create symlinks and use java.library.path
  * Fix paths in docs, libjdic-bin.install files.
  * debian/control:
    + Move sun-java5-jdk, libnetx-java to Build-Depends-Indep
    + Switch back to Architecture: any for libjdic-bin
    + Move libjdic-bin to Depends from Recommends (Closes: 453252)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 27 Nov 2007 02:10:39 +0530

libjdic-java (0.0.20060613-5) unstable; urgency=low

  * Change Architecture: amd64 i386 for libjdic-bin.
  * Support newer dpkg-shlibdeps by ignoring errors.
  * Add Depends: libjdic-java for package libjdic-bin.
  * Downgrade Depends: libjdic-bin to Recommends.

 -- Torsten Werner <twerner@debian.org>  Sat, 24 Nov 2007 13:37:58 +0100

libjdic-java (0.0.20060613-4) unstable; urgency=low

  * Move the package to pkg-java svn.
  * debian/control:
    + Set Maintainer to Debian Java Maintainers and add myself to Uploaders.
    + Add Vcs-{Svn, Browser} and Homepage.
    + Set Priority to optional from extra.
    + Split into libjdic-bin (arch dependent) and libjdic-java (arch all)
    packages.
    + Build-Depend on libnetx-java
  * Move install to libjdic-bin.install
  * Add patches/packager.diff to disable building packager sources.
  * debian/rules: Add netx and remove deploy and javaws from DEB_JARS.

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 13 Nov 2007 16:31:56 +0530

libjdic-java (0.0.20060613-3) unstable; urgency=low

  * Initial release (Closes: #435673)
  * debian/copyright: include the BSD license for RpmPackageGenerator.java
    and some package.html files present in the upstream sources.
  * debian/rules: correct the dh_link version of jdic.jar

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 24 Sep 2007 12:57:11 +0530

libjdic-java (0.0.20060613-2) unstable; urgency=low

  * Add debian/README.Debian-source file.
  * debian/examples: Install the demo files.
  * debian/copyright: Include the full text of MPL license along with the NPL amendments.

 -- Varun Hiremath <varunhiremath@gmail.com>  Mon, 27 Aug 2007 00:41:24 +0530

libjdic-java (0.0.20060613-1) unstable; urgency=low

  * Initial upload 

 -- Varun Hiremath <varunhiremath@gmail.com>  Wed, 01 Aug 2007 23:37:11 +0530
