=== debian/control ===
Source: libjdic-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 7), ant, pkg-config,
 libgnome2-dev, libgtk2.0-dev, libxt-dev, xulrunner-dev, libx11-dev,
 openjdk-6-jre-headless, openjdk-6-jdk, libnetx-java
Standards-Version: 3.8.4
Homepage: https://jdic.dev.java.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libjdic-java/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/libjdic-java/

Package: libjdic-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, 
 openjdk-6-jre | java1-runtime | java2-runtime, libjdic-bin (>= ${source:Version})
Description: JDesktop Integration Components
 The JDesktop Integration Components (JDIC) project aims to make Java
 technology-based applications ("Java applications") first-class
 citizens of current desktop platforms without sacrificing platform
 independence. Its mission is to enable seamless desktop/Java
 integration.
 .
 JDIC provides Java applications with access to functionalities and
 facilities provided by the native desktop. It consists of a
 collection of Java packages and tools. JDIC supports a variety of
 features such as embedding the native browser, launching the desktop
 applications, creating tray icons on the desktop, registering file
 type associations, creating JNLP installer packages, etc.

Package: libjdic-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libjdic-java (= ${source:Version})
Description: JDesktop Integration Components (shared libraries)
 The JDesktop Integration Components (JDIC) project aims to make Java
 technology-based applications ("Java applications") first-class
 citizens of current desktop platforms without sacrificing platform
 independence. Its mission is to enable seamless desktop/Java
 integration.
 .
 JDIC provides Java applications with access to functionalities and
 facilities provided by the native desktop. It consists of a
 collection of Java packages and tools. JDIC supports a variety of
 features such as embedding the native browser, launching the desktop
 applications, creating tray icons on the desktop, registering file
 type associations, creating JNLP installer packages, etc.
 .
 This package ships the shared libraries.
