=== debian/rules ===
#!/usr/bin/make -f

export GECKO_SDK=/usr/lib/xulrunner-devel-1.9.1
export JAVA_HOME=/usr/lib/jvm/java-6-openjdk

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE      := .java .class
DEB_SHLIBDEPS_INCLUDE     := debian/libjdic-bin/usr/lib/jni
DEB_DH_SHLIBDEPS_ARGS_ALL := --dpkg-shlibdeps-params=--ignore-missing-info

common-binary-indep:: debian/stamp-binary-indep
debian/stamp-binary-indep:
	JAVA_HOME=/usr/lib/jvm/java-6-openjdk CLASSPATH=/usr/share/java/netx.jar \
		ant -f jdic/build.xml buildunixjar javadoc builddemo
	touch $@

common-binary-arch:: debian/stamp-binary-arch
debian/stamp-binary-arch:
	export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
	ant -f jdic/build.xml buildunixjni buildunixembed
	touch $@

install/libjdic-java:: debian/stamp-binary-indep
	install -D -m 644 jdic/dist/*/jdic.jar debian/libjdic-java/usr/share/java/jdic-$(DEB_UPSTREAM_VERSION).jar
	dh_link /usr/share/java/jdic-$(DEB_UPSTREAM_VERSION).jar /usr/share/java/jdic.jar

binary-install/libjdic-java::
	find debian/libjdic-java/usr/share/doc/libjdic-java/examples -type f \
		-exec chmod -x '{}' \;

clean::
	ant -f jdic/build.xml clean
	$(RM) debian/stamp-*

get-orig-source:
	sh debian/orig-tar.sh $(DEB_UPSTREAM_VERSION)
