=== debian/watch ===
version=3
https://jdic.dev.java.net/servlets/ProjectDocumentList .*jdic-([0-9].*).*
